# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# noarch, but to avoid *.list files interfering with signature test
%global debug_package %{nil}

# Similarly for .package_note* files
%undefine _package_note_file

# Store keys in a temp directory
%global gnupghome %(mktemp --directory)

Name:		perl-Locale-Maketext-Simple
Epoch:		1
Version:	0.21
Release:	499.%{__distinit}%{__distvers}
Summary:	Simple interface to Locale::Maketext::Lexicon
License:	MIT
URL:		https://metacpan.org/release/Locale-Maketext-Simple
Source0:	https://cpan.metacpan.org/modules/by-module/Locale/Locale-Maketext-Simple-%{version}.tar.gz
Source1:	3C3501A0.asc
Source2:	108E4046.asc
Source3:	161C06B1.asc
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gnupg2
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Locale::Maketext)
BuildRequires:	perl(Locale::Maketext::Lexicon) >= 0.20
BuildRequires:	perl(strict)
# Test Suite
BuildRequires:	perl(FindBin)
BuildRequires:	perl(Test)
BuildRequires:	perl(Test::More)
# Optional Tests
BuildRequires:	perl(Module::Signature)
BuildRequires:	perl(Socket)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(base)
Requires:	perl(File::Spec)
Requires:	perl(Locale::Maketext)
Requires:	perl(Locale::Maketext::Lexicon) >= 0.20

%description
This module is a simple wrapper around Locale::Maketext::Lexicon, designed
to alleviate the need of creating Language Classes for module authors.

%prep
%setup -q -n Locale-Maketext-Simple-%{version}

# Import upstream's GPG key so we don't need to fetch it from a keyserver
# when running the signature test
export GNUPGHOME=%{gnupghome}
gpg2 --import %{SOURCE1}
gpg2 --import %{SOURCE2}
gpg2 --import %{SOURCE3}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
export GNUPGHOME=%{gnupghome}
# Signature test would fail on some distros due to presence of MYMETA.yml/MYMETA.json
[ -f MYMETA.yml ] && mv MYMETA.yml %{gnupghome}/
[ -f MYMETA.json ] && mv MYMETA.json %{gnupghome}/
make test TEST_SIGNATURE=1
[ -f %{gnupghome}/MYMETA.yml ] && mv %{gnupghome}/MYMETA.yml ./ || :
[ -f %{gnupghome}/MYMETA.json ] && mv %{gnupghome}/MYMETA.json ./ || :

%clean
rm -rf %{buildroot} %{gnupghome}

%files
%doc Changes README
%{perl_vendorlib}/Locale/
%{_mandir}/man3/Locale::Maketext::Simple.3*

%changelog
* Mon Jul 17 2023 Paul Howarth <paul@city-fan.org> - 1:0.21-499
- Drop MODULE_COMPAT dependency from Fedora 38 onwards

* Fri Mar 18 2022 Paul Howarth <paul@city-fan.org> - 1:0.21-486
- Work around package note files breaking t/0-signature.t

* Sat Jun 30 2018 Paul Howarth <paul@city-fan.org> - 1:0.21-416
- Perl 5.28 rebuild

* Fri Apr 27 2018 Paul Howarth <paul@city-fan.org> - 1:0.21-412
- Bump epoch to match Fedora version
- Use mktemp to create GNUPGHOME, simplifying build process
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section

* Thu Sep  1 2016 Paul Howarth <paul@city-fan.org> - 0.21-377
- Classify buildreqs by usage
- Simplify find command using -delete

* Fri Sep 12 2014 Paul Howarth <paul@city-fan.org> - 0.21-4
- Drop %%defattr, redundant since rpm 4.4

* Thu Jul 12 2012 Paul Howarth <paul@city-fan.org> - 0.21-3
- BR:/R: perl(base) and perl(File::Spec)
- BR: perl(Locale::Maketext) and perl(Test)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Drop patch supporting build with Perl 5.8.0
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Importation of GPG keys should never fail

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> - 0.21-2
- Rebuild for perl 5.14.1 in Rawhide
- Work around signature test failing on recent distributions due to the
  presence of MYMETA.yml
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Dec  9 2010 Paul Howarth <paul@city-fan.org> - 0.21-1
- Update to 0.21
  - Add ability to have the IANA defined i-default language as a fallback when
    arbitrary message keys rather than English phrases are being used
- This release by JESSE -> update source URL and add GPG key
- BR: perl(Test::More)
- Patch out i-default test on ancient distributions where it doesn't work

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> - 0.18-3
- Import from Fedora
- Re-enable signature test

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> - 0.18-2
- Use fixperms macro instead of our own chmod incantation
- BR ExtUtils::MakeMaker

* Sun Sep 17 2006 Steven Pritchard <steve@kspei.com> - 0.18-1
- Update to 0.18

* Mon Aug 14 2006 Steven Pritchard <steve@kspei.com> - 0.17-1
- Update to 0.17
- Fix find option order

* Wed May 24 2006 Steven Pritchard <steve@kspei.com> - 0.16-1
- Update to 0.16
- License has changed to MIT

* Fri Apr 21 2006 Steven Pritchard <steve@kspei.com> - 0.13-1
- Update to 0.13

* Mon Apr 10 2006 Steven Pritchard <steve@kspei.com> - 0.12-2
- Explicitly require perl(Locale::Maketext::Lexicon)

* Sat Apr 08 2006 Steven Pritchard <steve@kspei.com> - 0.12-1
- Specfile autogenerated by cpanspec 1.64
- Remove Module::Signature test
